.. _suite:

.. _wiki: https://gcube.wiki.gcube-system.org/gcube/GeoPortal
.. _swagger: https://api.d4science.org
.. _gWiki: https://gcube.wiki.gcube-system.org/gcube/GeoPortal
.. _gCube: https://www.gcube-system.org

###############
gCube CMS Suite
###############
.. note:: gCube CMS Suite is a gCube Application. Check out more about `gCube`_ |:smile:| .

**gCube CMS Suite** is a distributed full stack application for publication management in a gCube Hybrid e-infrastructure (see wiki `wiki`_).

.. figure:: _static/imgs/suite.png
   :alt: CMS Suite overall concept

   gCube CMS suite : GUIs interacts with the service which uses plugins to exploit gCube Applications

*********
The suite
*********

The **gCube CMS Suite** is a gCube Application designed to manage the publication workflow of complex documents (i.e. comprising of multi-level extensible metadata, attachments.. ) called Projects.
It can manage the entire lifecycle of Projects, from their creation to access including :

The gCube CMS Suite key features are :

- Support for publication lifecycle
  -By supporting complex Data (Meta + Payloads) archives known as :doc:`project`
  -By enabling versioning, workflows, access policies
  -By supporting several manifestations (GIS, Databases, ...)
  -By managing indexes (Meta catalogues, Index GIS layers)
- Maximise re-usability
  - By providing an extensible marketplace of plugins
  - By allowing for configurable behaviour
  - By supporting a generic meta-model
  - By offering configurable GUIs (Management grid, Insert/Edit Form, Data Viewers)
- External Data Integration
  - By exploiting OGC standards.

Contents of this guide :
*************************

.. toctree::
   :maxdepth: 2

   architecture
   project
   lifecycle
   plugins
   ucd
   quickstart
   example
   md